{#
Portion de page de saisie qui contient les boutons de gestion :
Enregistrer, Annuler, Nouveau, Dupliquer, Rechercher, ...
#}

{% block boutons %}
    {# <div id="ctnBoutons" class="col-xs-4 col-sm-2 col-md-2 col-lg-2 {# LG 20190235 déac pull-right#} {# " style="margin-top: -1px; display: none;"> #}
    <div id="ctnBoutons" class="flex-wrap d-flex flex-row" {#class="col-xs-12 col-sm-12 col-md-2 col-lg-2#} {# LG 20190235 déac pull-right"#} style="margin-top: -1px;">
        <div class ="col-sm-4 d-flex align-items-end mrg-btng">
            {#Bouton Rechercher qui provient de DataGrid #}
            <div id='ctnCmdSearch' class='form-group grp-btn w-75 m-0'></div>
            <div class="icn-tri ml-2 p-1">
                <div class="bg-tri"></div>
            </div>
        </div>
            
        <div class ="col-sm-12 d-flex justify-content-end align-items-end">
            <div id="ctnBoutons_Boutons"class="menu-btng shadow-sm">
                {#Bouton nouveau avec l'icône à droite de celui-ci #}
                <div class='form-group grp-btn' id='ctnCmdNouveau'>
                    <button id="bNouveau" class="btn-block btn" style="white-space: inherit ! important;{#visibility: hidden;#}">
                        Nouveau
                        <span class="pull-right">
                            <span class="glyphicon glyphicon-file">
                            </span>
                        </span>
                    </button>
                </div>
                {# Bouton dupliquer avec l'icône à droite de celui-ci #}
                <div class='form-group grp-btn-spe' id='ctnCmdDupliquer'>
                    <button id="bDupliquer" class="btn-block btn" style="white-space: inherit ! important;{#visibility: hidden;#}">
                        Dupliquer
                        <span class="pull-right">
                            <span class="glyphicon glyphicon-duplicate">
                            </span>
                        </span>
                    </button>
                </div>
                {#Bouton supprimer avec l'icône poubelle à droite de celui-ci #}
                <div class='form-group grp-btn-spe' id='ctnCmdSupprimer'>
                    <button id="bSupprimer" class="btn-block btn" style="white-space: inherit ! important;{#visibility: hidden;#}">
                        Supprimer
                        <span class="pull-right">
                            <span class="glyphicon glyphicon-trash">
                            </span>
                        </span>
                    </button>
                </div>
                {#Bouton listing avec l'icône à droite de celui-ci #}
                <div class='form-group grp-btn' id='ctnCmdListing' style="{% if not bAutoriseListing %}display:none{% endif %};">
                    <button id="bListing" class="btn-block btn" style="white-space: inherit ! important;{#visibility: hidden;#}">
                        Listing
                        <span class="pull-right">
                            <span class="glyphicon glyphicon-list-alt">
                            </span>
                        </span>
                    </button>
                </div>	
                {#Bouton Enregistrer sera modifié par JavaScript pour y injecter celui du formulaire #}
                <div class='form-group grp-btn-spe' id='ctnCmdEnregistrer'>
                    <button id="bEnregistrer" class="btn-block btn disabled" style="white-space: inherit ! important;" disabled>
                        Enregistrer
                        <span class="pull-right">
                            <span class="glyphicon glyphicon-chevron-left">
                            </span>
                        </span>
                    </button>                   
                </div>
                {#Bouton Annuler avec l'icône à droite de celui-ci #}
                <div class='form-group grp-btn-spe' id='ctnCmdAnnuler'>
                    <button id="bAnnuler" class="btn-block btn disabled" style="white-space: inherit ! important;" disabled>
                        Annuler
                        <span class="pull-right">
                            <span class="glyphicon glyphicon-chevron-left">
                            </span>
                        </span>
                    </button>
                </div>
            </div>
        </div>  
    </div>
{% endblock %}
